<xml> </xml>

db4o |

# ObjectField.CascadeOnUpdate Method

sets cascaded update behaviour.

void CascadeOnUpdate(
bool flag
);

#### Parameters

flag
  whether updates are to be cascaded to the member object.

#### Remarks

sets cascaded update behaviour.
Setting cascadeOnUpdate to true will result in the update of the object attribute stored in this field if the parent object is passed to ObjectContainer#set() .
The default setting is false.

#### See Also

ObjectField Interface | com.db4o.config Namespace | com.db4o.ObjectContainer.Set | com.db4o.config.ObjectClass.CascadeOnUpdate | com.db4o.config.ObjectClass.UpdateDepth | Using callbacks